org.apache.myfaces.trinidad.resource

## Class ProxyResourceLoader.ProxyURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.apache.myfaces.trinidad.resource.ProxyResourceLoader.ProxyURLConnection

- Enclosing class:
    ProxyResourceLoader

      protected class ProxyResourceLoader.ProxyURLConnection
      extends URLConnection

  Helper class used to manage aggregated URL input stream.

- - ### Field Summary

    - ### Fields inherited from class java.net.URLConnection

      `allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyResourceLoader.ProxyURLConnection(URL url, URL proxied)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequestProperty(String key, String value)`
    `void` | `connect()`
    `boolean` | `getAllowUserInteraction()`
    `Object` | `getContent()`
    `Object` | `getContent(Class[] classes)`
    `String` | `getContentEncoding()`
    `int` | `getContentLength()`
    `String` | `getContentType()`
    `long` | `getDate()`
    `boolean` | `getDefaultUseCaches()`
    `boolean` | `getDoInput()`
    `boolean` | `getDoOutput()`
    `long` | `getExpiration()`
    `String` | `getHeaderField(int n)`
    `String` | `getHeaderField(String name)`
    `long` | `getHeaderFieldDate(String name, long Default)`
    `int` | `getHeaderFieldInt(String name, int Default)`
    `String` | `getHeaderFieldKey(int n)`
    `Map<String,List<String>>` | `getHeaderFields()`
    `long` | `getIfModifiedSince()`
    `InputStream` | `getInputStream()`
    `long` | `getLastModified()`
    `OutputStream` | `getOutputStream()`
    `Permission` | `getPermission()`
    `Map<String,List<String>>` | `getRequestProperties()`
    `String` | `getRequestProperty(String key)`
    `protected URLConnection` | `getURLConnection()`
    `boolean` | `getUseCaches()`
    `void` | `setAllowUserInteraction(boolean allowuserinteraction)`
    `void` | `setDefaultUseCaches(boolean defaultusecaches)`
    `void` | `setDoInput(boolean doinput)`
    `void` | `setDoOutput(boolean dooutput)`
    `void` | `setIfModifiedSince(long ifmodifiedsince)`
    `void` | `setRequestProperty(String key, String value)`
    `void` | `setUseCaches(boolean usecaches)`

    - ### Methods inherited from class java.net.URLConnection

      `getConnectTimeout, getContentLengthLong, getDefaultAllowUserInteraction, getDefaultRequestProperty, getFileNameMap, getHeaderFieldLong, getReadTimeout, getURL, guessContentTypeFromName, guessContentTypeFromStream, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setFileNameMap, setReadTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyResourceLoader.ProxyURLConnection

          public ProxyResourceLoader.ProxyURLConnection(URL url,
                                                URL proxied)
                                                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### addRequestProperty

          public void addRequestProperty(String key,
                                String value)

      Overrides:
        `addRequestProperty` in class `URLConnection`

    - #### connect

          public void connect()
                       throws IOException

      Specified by:
        `connect` in class `URLConnection`
      Throws:
        `IOException`

    - #### getAllowUserInteraction

          public boolean getAllowUserInteraction()

      Overrides:
        `getAllowUserInteraction` in class `URLConnection`

    - #### getContent

          public Object getContent()
                            throws IOException

      Overrides:
        `getContent` in class `URLConnection`
      Throws:
        `IOException`

    - #### getContent

          public Object getContent(Class[] classes)
                            throws IOException

      Overrides:
        `getContent` in class `URLConnection`
      Throws:
        `IOException`

    - #### getContentEncoding

          public String getContentEncoding()

      Overrides:
        `getContentEncoding` in class `URLConnection`

    - #### getContentLength

          public int getContentLength()

      Overrides:
        `getContentLength` in class `URLConnection`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `URLConnection`

    - #### getDate

          public long getDate()

      Overrides:
        `getDate` in class `URLConnection`

    - #### getDefaultUseCaches

          public boolean getDefaultUseCaches()

      Overrides:
        `getDefaultUseCaches` in class `URLConnection`

    - #### getDoInput

          public boolean getDoInput()

      Overrides:
        `getDoInput` in class `URLConnection`

    - #### getDoOutput

          public boolean getDoOutput()

      Overrides:
        `getDoOutput` in class `URLConnection`

    - #### getExpiration

          public long getExpiration()

      Overrides:
        `getExpiration` in class `URLConnection`

    - #### getHeaderField

          public String getHeaderField(int n)

      Overrides:
        `getHeaderField` in class `URLConnection`

    - #### getHeaderField

          public String getHeaderField(String name)

      Overrides:
        `getHeaderField` in class `URLConnection`

    - #### getHeaderFieldDate

          public long getHeaderFieldDate(String name,
                                long Default)

      Overrides:
        `getHeaderFieldDate` in class `URLConnection`

    - #### getHeaderFieldInt

          public int getHeaderFieldInt(String name,
                              int Default)

      Overrides:
        `getHeaderFieldInt` in class `URLConnection`

    - #### getHeaderFieldKey

          public String getHeaderFieldKey(int n)

      Overrides:
        `getHeaderFieldKey` in class `URLConnection`

    - #### getHeaderFields

          public Map<String,List<String>> getHeaderFields()

      Overrides:
        `getHeaderFields` in class `URLConnection`

    - #### getIfModifiedSince

          public long getIfModifiedSince()

      Overrides:
        `getIfModifiedSince` in class `URLConnection`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Overrides:
        `getInputStream` in class `URLConnection`
      Throws:
        `IOException`

    - #### getLastModified

          public long getLastModified()

      Overrides:
        `getLastModified` in class `URLConnection`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Overrides:
        `getOutputStream` in class `URLConnection`
      Throws:
        `IOException`

    - #### getPermission

          public Permission getPermission()
                                   throws IOException

      Overrides:
        `getPermission` in class `URLConnection`
      Throws:
        `IOException`

    - #### getRequestProperties

          public Map<String,List<String>> getRequestProperties()

      Overrides:
        `getRequestProperties` in class `URLConnection`

    - #### getRequestProperty

          public String getRequestProperty(String key)

      Overrides:
        `getRequestProperty` in class `URLConnection`

    - #### getUseCaches

          public boolean getUseCaches()

      Overrides:
        `getUseCaches` in class `URLConnection`

    - #### setAllowUserInteraction

          public void setAllowUserInteraction(boolean allowuserinteraction)

      Overrides:
        `setAllowUserInteraction` in class `URLConnection`

    - #### setDefaultUseCaches

          public void setDefaultUseCaches(boolean defaultusecaches)

      Overrides:
        `setDefaultUseCaches` in class `URLConnection`

    - #### setDoInput

          public void setDoInput(boolean doinput)

      Overrides:
        `setDoInput` in class `URLConnection`

    - #### setDoOutput

          public void setDoOutput(boolean dooutput)

      Overrides:
        `setDoOutput` in class `URLConnection`

    - #### setIfModifiedSince

          public void setIfModifiedSince(long ifmodifiedsince)

      Overrides:
        `setIfModifiedSince` in class `URLConnection`

    - #### setRequestProperty

          public void setRequestProperty(String key,
                                String value)

      Overrides:
        `setRequestProperty` in class `URLConnection`

    - #### setUseCaches

          public void setUseCaches(boolean usecaches)

      Overrides:
        `setUseCaches` in class `URLConnection`

    - #### getURLConnection

          protected URLConnection getURLConnection()

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.